Bug 304782 - View->Start Slideshow just enters fullscreen mode
Summary: View->Start Slideshow just enters fullscreen mode
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: 2.9.0
Platform: unspecified Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-08 10:36 UTC by Will Stephenson
Modified: 2012-12-09 01:10 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Will Stephenson 2012-08-08 10:36:11 UTC
I read your blog and tried out our packaged 2.9.0 and my git build (d7bb908 Improve the way we track video playing state), and in both cases Start Slideshow just enters the new fullscreen mode, no slideshow.
Comment 1 Edward 2012-12-04 09:59:38 UTC
When in Browse mode, selecting View|Slideshow simply makes the window go to full screen and does not do a slideshow.  When in View mode, View|Slideshow behaves as expected.
Comment 2 Aurelien Gateau 2012-12-07 14:26:00 UTC
Git commit b5d8fbdbfe67f31dda15641f2c7f839fef762f1f by Aurélien Gâteau.
Committed on 07/12/2012 at 15:25.
Pushed by gateau into branch 'master'.

Fix slideshow not starting

Make sure we go in view mode when started with "-" and when "Start Slideshow"
is selected from menu.

M  +4    -0    app/mainwindow.cpp

http://commits.kde.org/gwenview/b5d8fbdbfe67f31dda15641f2c7f839fef762f1f
Comment 3 Edward 2012-12-09 01:10:23 UTC
(In reply to comment #2)
When we come out of slide show, does it return to the last mode (e.g. Browse) or is it then set to View?  I think the former should be expected behavior.